Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1291231 (CVE-2015-8547) - CVE-2015-8547 quassel: Remotely triggered DoS on a Quassel core
Summary: CVE-2015-8547 quassel: Remotely triggered DoS on a Quassel core
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-8547
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1291232 1291233
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-14 11:34 UTC by Adam Mariš
Modified: 2019-09-29 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:46:28 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2015-12-14 11:34:57 UTC
It was found that DoS can be remotely triggered by any client on a Quassel core by sending the command "/op *" in a query, which will cause Quassel core to crash.

Upstream patch:

https://github.com/quassel/quassel/commit/b8edbda019eeb99da8663193e224efc9d1265dc7

CVE assignment:

http://seclists.org/oss-sec/2015/q4/478

Comment 1 Adam Mariš 2015-12-14 11:35:27 UTC
Created quassel tracking bugs for this issue:

Affects: fedora-all [bug 1291232]
Affects: epel-all [bug 1291233]

Comment 2 Fedora Update System 2015-12-24 05:05:36 UTC
quassel-0.11.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-01-05 21:54:44 UTC
quassel-0.12.2-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-01-05 22:53:56 UTC
quassel-0.12.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:46:28 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.